## WebKitDOMHTMLStyleElement

WebKitDOMHTMLStyleElement

## Functions

gboolean | webkit_dom_html_style_element_get_disabled ()
void | webkit_dom_html_style_element_set_disabled ()
gchar * | webkit_dom_html_style_element_get_media ()
void | webkit_dom_html_style_element_set_media ()
WebKitDOMStyleSheet * | webkit_dom_html_style_element_get_sheet ()
void | webkit_dom_html_style_element_set_scoped ()
gboolean | webkit_dom_html_style_element_get_scoped ()

## Properties

gboolean | disabled | Read / Write
gchar * | media | Read / Write
WebKitDOMStyleSheet * | sheet | Read
gchar * | type | Read / Write

## Types and Values

| WebKitDOMHTMLStyleElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLStyleElement

## Implemented Interfaces

WebKitDOMHTMLStyleElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_style_element_get_disabled ()

    gboolean
    webkit_dom_html_style_element_get_disabled
                                   (WebKitDOMHTMLStyleElement *self);

#### Parameters

self | A WebKitDOMHTMLStyleElement |

#### Returns

A gboolean

### webkit_dom_html_style_element_set_disabled ()

    void
    webkit_dom_html_style_element_set_disabled
                                   (WebKitDOMHTMLStyleElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLStyleElement |
value | A gboolean |

### webkit_dom_html_style_element_get_media ()

    gchar *
    webkit_dom_html_style_element_get_media
                                   (WebKitDOMHTMLStyleElement *self);

#### Parameters

self | A WebKitDOMHTMLStyleElement |

#### Returns

A gchar

### webkit_dom_html_style_element_set_media ()

    void
    webkit_dom_html_style_element_set_media
                                   (WebKitDOMHTMLStyleElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLStyleElement |
value | A gchar |

### webkit_dom_html_style_element_get_sheet ()

    WebKitDOMStyleSheet *
    webkit_dom_html_style_element_get_sheet
                                   (WebKitDOMHTMLStyleElement *self);

#### Parameters

self | A WebKitDOMHTMLStyleElement |

#### Returns

A WebKitDOMStyleSheet.

[transfer full]

### webkit_dom_html_style_element_set_scoped ()

    void
    webkit_dom_html_style_element_set_scoped
                                   (WebKitDOMHTMLStyleElement *self,
                                    gboolean value);

`webkit_dom_html_style_element_set_scoped` is deprecated and should not be used in newly-written code.

### webkit_dom_html_style_element_get_scoped ()

    gboolean
    webkit_dom_html_style_element_get_scoped
                                   (WebKitDOMHTMLStyleElement *self);

`webkit_dom_html_style_element_get_scoped` is deprecated and should not be used in newly-written code.

## Types and Values

### WebKitDOMHTMLStyleElement

    typedef struct _WebKitDOMHTMLStyleElement WebKitDOMHTMLStyleElement;

## Property Details

### The `“disabled”` property

      “disabled”                 gboolean

read-write gboolean HTMLStyleElement:disabled.

Flags: Read / Write

Default value: FALSE

### The `“media”` property

      “media”                    gchar *

read-write gchar* HTMLStyleElement:media.

Flags: Read / Write

Default value: ""

### The `“sheet”` property

      “sheet”                    WebKitDOMStyleSheet *

read-only WebKitDOMStyleSheet* HTMLStyleElement:sheet.

Flags: Read

### The `“type”` property

      “type”                     gchar *

read-write gchar* HTMLStyleElement:type.

Flags: Read / Write

Default value: ""